Name:           hebe
Version:        0.4
Release:        1%{?dist}
Summary:        KDE front-end GUI for Hercules

Group:          Applications/Emulators
License:        GPL+
URL:            http://www.binro.org/
Source0:        ftp://binro.org/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kdelibs-devel
BuildRequires:  desktop-file-utils


%description
Hebe is a new KDE 4.4 front-end GUI for the Hercules z/Arch emulator.
It was designed to have a modern look, like the VirtualBox interface;
there are no dials! Hebe provides two consoles, one for Hercules and
one for the SCP (system control program), AKA, the operating system.
Input is automatically routed to the correct receiver. You can start
as many instances of Hercules as your hardware can support.


%prep
%setup -q

rm -rf build*
mkdir build


%build
pushd build
%{cmake} ..
make %{?_smp_mflags}
popd


%install
rm -rf $RPM_BUILD_ROOT
pushd build
make install DESTDIR=$RPM_BUILD_ROOT
popd

desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/kde4/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc
%{_bindir}/%{name}
%{_datadir}/applications/kde4/%{name}.desktop
%{_datadir}/doc/HTML/*/%{name}
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/kde4/apps/%{name}

%changelog
* Sat Jul 10 2010 Dan Horák <dan[at]danny.cz> 0.2-1
- initial Fedora version
